Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ant
[Java] Class FileScanner

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.codehaus.groovy.ant.FileScanner

    public class FileScanner
    extends org.apache.tools.ant.Task

`FileScanner` is a bean which allows the iteration over a number of files from a collection of FileSet instances.

Authors:
  James Strachan
  Marc Guillemot

Version:
  \$Revision\$

Constructor Summary
`FileScanner()`
`FileScanner(org.apache.tools.ant.Project project)`

Method Summary
`void` | `addFileset(org.apache.tools.ant.types.FileSet set)` Adds a set of files (nested fileset attribute).
`void` | `clear()` Clears any file sets that have been added to this scanner
`java.util.Iterator` | `directories()`
`boolean` | `hasFiles()`
`java.util.Iterator` | `iterator()`

Methods inherited from class org.apache.tools.ant.Task
org.apache.tools.ant.Task#log(java.lang.String), org.apache.tools.ant.Task#log(java.lang.String, int), org.apache.tools.ant.Task#log(java.lang.Throwable, int), org.apache.tools.ant.Task#log(java.lang.String, java.lang.Throwable, int), org.apache.tools.ant.Task#init(), org.apache.tools.ant.Task#execute(), org.apache.tools.ant.Task#getTaskName(), org.apache.tools.ant.Task#setTaskName(java.lang.String), org.apache.tools.ant.Task#getTaskType(), org.apache.tools.ant.Task#maybeConfigure(), org.apache.tools.ant.Task#setTaskType(java.lang.String), org.apache.tools.ant.Task#getOwningTarget(), org.apache.tools.ant.Task#setOwningTarget(org.apache.tools.ant.Target), org.apache.tools.ant.Task#getRuntimeConfigurableWrapper(), org.apache.tools.ant.Task#setRuntimeConfigurableWrapper(org.apache.tools.ant.RuntimeConfigurable), org.apache.tools.ant.Task#reconfigure(), org.apache.tools.ant.Task#perform(), org.apache.tools.ant.Task#bindToOwner(org.apache.tools.ant.Task), org.apache.tools.ant.Task#clone(), org.apache.tools.ant.Task#getLocation(), org.apache.tools.ant.Task#getDescription(), org.apache.tools.ant.Task#setLocation(org.apache.tools.ant.Location), org.apache.tools.ant.Task#setDescription(java.lang.String), org.apache.tools.ant.Task#getProject(), org.apache.tools.ant.Task#setProject(org.apache.tools.ant.Project), org.apache.tools.ant.Task#wait(long), org.apache.tools.ant.Task#wait(long, int), org.apache.tools.ant.Task#wait(), org.apache.tools.ant.Task#equals(java.lang.Object), org.apache.tools.ant.Task#toString(), org.apache.tools.ant.Task#hashCode(), org.apache.tools.ant.Task#getClass(), org.apache.tools.ant.Task#notify(), org.apache.tools.ant.Task#notifyAll()

Methods inherited from class org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.ProjectComponent#clone(), org.apache.tools.ant.ProjectComponent#log(java.lang.String), org.apache.tools.ant.ProjectComponent#log(java.lang.String, int), org.apache.tools.ant.ProjectComponent#getLocation(), org.apache.tools.ant.ProjectComponent#getDescription(), org.apache.tools.ant.ProjectComponent#setLocation(org.apache.tools.ant.Location), org.apache.tools.ant.ProjectComponent#setDescription(java.lang.String), org.apache.tools.ant.ProjectComponent#getProject(), org.apache.tools.ant.ProjectComponent#setProject(org.apache.tools.ant.Project), org.apache.tools.ant.ProjectComponent#wait(long), org.apache.tools.ant.ProjectComponent#wait(long, int), org.apache.tools.ant.ProjectComponent#wait(), org.apache.tools.ant.ProjectComponent#equals(java.lang.Object), org.apache.tools.ant.ProjectComponent#toString(), org.apache.tools.ant.ProjectComponent#hashCode(), org.apache.tools.ant.ProjectComponent#getClass(), org.apache.tools.ant.ProjectComponent#notify(), org.apache.tools.ant.ProjectComponent#notifyAll()

Constructor Detail

### FileScanner

    public FileScanner()

### FileScanner

    public FileScanner(org.apache.tools.ant.Project project)

Method Detail

### addFileset

    public void addFileset(org.apache.tools.ant.types.FileSet set)

  Adds a set of files (nested fileset attribute).

### clear

    public void clear()

  Clears any file sets that have been added to this scanner

### directories

    public java.util.Iterator directories()

### hasFiles

    public boolean hasFiles()

### iterator

    public java.util.Iterator iterator()

Groovy Documentation